# completeHabitStreak

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| POST | https://api.thomas.co/v1/habit-streaks/complete |

| Field | Value |
|---|---|
| operationId | completeHabitStreak |
| method | POST |
| server | https://api.thomas.co/v1 |
| path | /habit-streaks/complete |
| tags | `Habits` |
| summary | Complete today's habit streak item |
| badges | None |

## Request Parameters

None.

## Request Body

| Content type | Schema refs |
|---|---|
| application/json | #/components/schemas/HabitStreakCompleteRequestDto |

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Updated habit streak state after completion | #/components/schemas/HabitTodayResponseDto |
| 400 | Invalid reflection body | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 400 example

```json
{
  "statusCode": 400,
  "message": "Validation failed",
  "error": "HTTP_BAD_REQUEST"
}
```

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```
